Fiscal Harmony API
  1. Transactions
Fiscal Harmony API
  • Introduction
  • Authentication
  • Data
  • Webhooks
  • Support
  • Account
    • Get Profile
      GET
    • Get Fiscal Device
      GET
    • Subscription
      GET
  • Transactions
    • Submit Invoice
      POST
    • Submit Credit Note
      POST
    • Check Status
      POST
    • Download Pdf
      GET
  • Mappings
    • Tax Mappings
      • Get All TaxMappings
      • Add Tax Mapping
      • Get Specific Tax Mapping
      • Update Tax Mapping
      • Delete Tax Mapping
    • Currency Mappings
      • Supported Currencies
      • Get All CurrencyMappings
      • Add Currency Mapping
      • Get Specific Currency Mapping
      • Update Currency Mapping
      • Delete Currency Mapping
  • Schemas
    • Account
      • Profile
      • FiscalDevice
      • DeviceConfig
      • ApplicableTax
      • BillingPlan
      • BillingStatus
      • Subscription
    • Mappings
      • CurrencyMapping
      • TaxMapping
    • Transactions
      • Invoice
      • CreditNote
      • BuyerContact
      • PaymentMethodType
      • LineItem
      • StatusRequest
    • Date
  1. Transactions

Check Status

Cloud Mock
https://mock.apidog.com/m1/1209598-0-default
Cloud Mock
https://mock.apidog.com/m1/1209598-0-default
POST
/status
Last modified:2026-02-27 15:16:46
Checks the statuses of requests that are currently being processed or have been processed. Only 100 request Ids are processed at a time. Make sure you do not send more than 100 request Ids in order to get consistent results.
This point is used to manually check of get the result of transactions with the provided transaction Ids. You will only have access to transactions processed in the last seven (7) days using this endpoint. Only use this method if you have lost some webhook events and you want to recover the details of the missed events. The recommended way to get the status of a transaction is to use webhooks.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Returns a StatusRequest[], showing a list of requests corresponding to the ids in the array from the body.
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://mock.apidog.com/m1/1209598-0-default/status' \
--header 'X-Api-Key: YOUR_API_KEY' \
--header 'X-Api_Secret: YOUR_API_SECRET' \
--header 'X-Application: YOUR_APPLICATION_ID' \
--header 'X-Api-Station: YOUR_API_STATION' \
--header 'X-App-Version: 1' \
--header 'Content-Type: application/json' \
--data-raw '[
  "1234abcd6789efgh01234abcd5678efgh"
]'
Response Response Example
[
    {
        "RequestId": "1234abcd6789efgh01234abcd5678efgh",
        "Success": true,
        "QrData": {},
        "Error": null,
        "IsActionable": true,
        "FiscalInvoicePdf": "1234abcd"
    }
]
Modified at 2026-02-27 15:16:46
Previous
Submit Credit Note
Next
Download Pdf
Built with